Page MenuHomePhabricator

efl-csharp: Add back I prefix for interfaces.
ClosedPublic

Authored by lauromoura on Mar 18 2019, 3:40 PM.

Details

Summary

Conforming to C# coding conventions.

For properties, now we only generate a wrapper if its name does not
clash with the name of the class that would be implementing it.

Fixes T7751

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
lauromoura created this revision.Mar 18 2019, 3:40 PM
lauromoura requested review of this revision.Mar 18 2019, 3:40 PM
lauromoura added a child revision: Restricted Differential Revision.Mar 18 2019, 3:41 PM
segfaultxavi accepted this revision.Mar 19 2019, 8:35 AM

Doc refs are OK, and everything builds and passes tests.

Will need the review of somebody who knows more about the generator code.

This revision is now accepted and ready to land.Mar 19 2019, 8:35 AM
vitor.sousa requested changes to this revision.Mar 20 2019, 3:18 PM

Needs rebasing. test_conflicting_events doesn't exist on master anymore and creates a conflict.

Also, I think it needs something like this to work with Efl.Class types: https://pastebin.com/gW79TJJU
Is this right? Tell me what you think.

This revision now requires changes to proceed.Mar 20 2019, 3:18 PM

Rebase and update with vitor suggestion about fixing the name check when converting from Efl.Class.

Also added a test that fails without this fix.

This revision is now accepted and ready to land.Mar 21 2019, 10:48 AM
This revision was automatically updated to reflect the committed changes.